Summary:	Bzr plugin for fast loading of data from other VCS tools
Name:		bzr-fastimport
Version:	0.13.0
Release:	2
Group:		Development/Languages
# Some modules in the exporters/ subdir are MIT-licensed.
License:	GPL v2+ and MIT
URL:		https://launchpad.net/bzr-fastimport
Source0:	http://launchpad.net/bzr-fastimport/trunk/%{version}/+download/%{name}-%{version}.tar.gz
# Source0-md5:	e47115774d44ae0c3b027ae0374aa52e
Patch0:		bug-1101776.patch
Patch1:		bug-541626.patch
BuildRequires:	bzr
BuildRequires:	python-distribute
Requires:	bzr
Requires:	python-fastimport
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Bazaar Fast Import is a plugin providing fast loading of revision
control data into Bazaar. It is designed to be used in combination
with front-end programs that generate a command/data stream for it to
process. Front-ends are available for a wide range of foreign VCS
tools including Subversion, CVS, Git, Mercurial, Darcs and Perforce.
New front-ends are easy to develop in whatever programming language
you prefer, making Bazaar Fast Import useful for teams needing a
custom migration solution.

%prep
%setup -q
%patch0 -p1
%patch1 -p0

%build
%{__python} setup.py build

%install
rm -rf $RPM_BUILD_ROOT
%{__python} setup.py install \
	-O2 \
	--skip-build \
	--root $RPM_BUILD_ROOT

%py_postclean

# not interested to package tests at runtime
%{__rm} -r $RPM_BUILD_ROOT%{py_sitescriptdir}/bzrlib/plugins/fastimport/tests

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc NEWS README.txt
%{py_sitescriptdir}/bzr_fastimport-*.egg-info

%dir %{py_sitescriptdir}/bzrlib
%dir %{py_sitescriptdir}/bzrlib/plugins

%dir %{py_sitescriptdir}/bzrlib/plugins/fastimport
%{py_sitescriptdir}/bzrlib/plugins/fastimport/*.py[co]
%dir %{py_sitescriptdir}/bzrlib/plugins/fastimport/processors
%{py_sitescriptdir}/bzrlib/plugins/fastimport/processors/*.py[co]
%changelog
* Sun Jan 20 2013 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/bzr-fastimport.git;a=log;h=master

* Sun Jan 20 2013 Elan Ruusamäe <glen@delfi.ee> 34adf21
disable graphing, causes two-way sync to fail

* Sat Jan 19 2013 Elan Ruusamäe <glen@delfi.ee> 275f019
patch to make authors map file to support equal signs

* Fri Jan 18 2013 Elan Ruusamäe <glen@delfi.ee> 38d21f3
up to 0.13 2012-02-29

* Fri Jan 18 2013 Elan Ruusamäe <glen@delfi.ee> ed765dd
COPYING contains common license which we don't package

* Mon Jul 02 2012 Elan Ruusamäe <glen@pld-linux.org> 7b04c40
- new, based on fedora spec

